Subject: RE: Backticking in Shell Scripts
From: [email-masked] (Cook, John)

2 May 1998 02:06:42 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: [email-masked]

Hi, Matt.

I tried what you describe using NT 4, SP 3, and I got the
same output for the command line as for the script file.
My setup differs from yours, however, in that I am using 
cygwin32 b19 (not 19.1) with the cygwinb19.dll from Sergey 
Okhapkin's coolview (perhaps not the latest version; I 
downloaded it on April 10).

I have read numerous recommendations on this list for 
installing coolview over b19{,.1}, so give it a try:

http://www.lexa.ru/sos

--John

> ----------
> From: 	Matthew Donadio[SMTP:[email-masked]]
> Sent: 	Friday, May 01, 1998 5:58 AM
> To: 	[email-masked]
> Subject: 	Backticking in Shell Scripts
> 
> I just installed cygwin32 19.1, but am having a strange problem.  I'm
> sure I have something set up wrong, but I have absolutely no idea what
> I
> goofed up.
> 
> If I am at a bach prompt, the following will produce the correct
> output:
> 
>         # echo `uname -a`
> 
> But, if I try
> 
>         #!/bin/bash
> 
>         echo `uname -a`
> 
> I get a null string.  If I add -v and -x flags for bash I can see that
> uname is getting executed.
> 
> I looked through the FAQ and the mailing list archives with no luck. 
> Any ideas?  If it makes any difference I am using WinNT 4.0 SP 3.  
> Thanks.
> 
> --Matt Donadio ([email-masked])
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".